import { GraphQLSchema } from 'graphql';
import { FlowDocumentsPluginConfig } from './index';
import { ParsedDocumentsConfig, BaseDocumentsVisitor } from 'graphql-codegen-visitor-plugin-common';
export interface FlowDocumentsParsedConfig extends ParsedDocumentsConfig {
    useFlowExactObjects: boolean;
    useFlowReadOnlyTypes: boolean;
}
export declare class FlowDocumentsVisitor extends BaseDocumentsVisitor<FlowDocumentsPluginConfig, FlowDocumentsParsedConfig> {
    constructor(schema: GraphQLSchema, config: FlowDocumentsPluginConfig);
}
